Page MenuHomePhabricator

Popups rendering engine should not need to generate link interaction tokens
Closed, ResolvedPublic

Description

Given the linkInteractionToken is only used when EventLogging it should be generated using processHovercardEvent and it should not be generated by the renderer.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2016, 2:52 PM

Change 318137 had a related patch set uploaded (by Jdlrobson):
linkInteractionToken is managed by getMassagedData

https://gerrit.wikimedia.org/r/318137

ovasileva triaged this task as High priority.Nov 1 2016, 2:34 PM
ovasileva added a project: Readers-Web-Backlog.
ovasileva lowered the priority of this task from High to Normal.Nov 2 2016, 7:42 PM
ovasileva moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

Change 318137 abandoned by Jdlrobson:
linkInteractionToken is managed by getMassagedData

https://gerrit.wikimedia.org/r/318137

Jdlrobson closed this task as Resolved.Feb 15 2017, 10:07 PM
Jdlrobson claimed this task.

src/reducers/eventLogging.js is the only place that interacts with this now.